> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Poll async task status

GET https://{tenant_name}.benchling.com/api/v3/tasks/dna-sequence-schema/apply-fieldset/{task_id}

Poll status for Apply a fieldset to the schema.

Reference: https://docs.benchling.com/docs/api/benchling-api/dna-sequence-schema/applyfieldset-get

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `task_id` (string, required) — ID of the asynchronous task to poll.

### Headers

- `EARLY-ACCESS` (string, optional) — Set to true to access beta operations via /api/v3.

## Response

### 200

OK

- `message` (string, required)
- `status` (enum, required)
  - Allowed values: `NOT_STARTED`, `IN_PROGRESS`, `COMPLETED`, `FAILED`
- `result` (EntitySchemaApplyFieldsetOutput, optional, nullable) — Return shape for the apply_fieldset API on entity schemas.

## Errors

### 400 Dna Sequence Schema Apply Fieldset Get Request Bad Request Error

Bad Request

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 403 Dna Sequence Schema Apply Fieldset Get Request Forbidden Error

Forbidden

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 404 Dna Sequence Schema Apply Fieldset Get Request Not Found Error

Not Found

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 429 Dna Sequence Schema Apply Fieldset Get Request Too Many Requests Error

Too Many Requests

- `detail` (TooManyRequestsErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)
- `violated-policies` (list of enum, optional) — The budget policies that rejected the request, in canonical order: `user`, `integration`, then `tenant`.
  - Allowed values: `user`, `integration`, `tenant`

### 500 Dna Sequence Schema Apply Fieldset Get Request Internal Server Error

Internal Server Error

- `detail` (InternalServerErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `errorId` (string, optional)

## Types

### EntitySchemaApplyFieldsetOutput

Return shape for the apply_fieldset API on entity schemas.

- `schema` (EntitySchemaBaseRef, optional, nullable)
- `warnings` (list of EntitySchemaApplyFieldsetWarning, optional)

### GeneralErrorDetail

### TooManyRequestsErrorBodyDetail

### InternalServerErrorBodyDetail

### EntitySchemaBaseRef

- `__typename` (string, optional)
- `id` (string, optional)

### EntitySchemaApplyFieldsetWarning

A warning raised when attempting to apply a fieldset to an entity schema.

- `__typename` (string, optional)
- `fieldId` (string, optional)
- `supportingInfo` (string, optional)
- `warningType` (enum, optional)
  - Allowed values: `FIELD_TYPE_CHANGE`, `FIELD_IS_REQUIRED_CHANGE`, `FIELD_IS_MULTI_CHANGE`, `FIELD_PARENT_LINK_CHANGE`, `FIELD_SYSTEM_NAME_CHANGE`, `FIELD_UNIT_CHANGE`, `FIELD_ARCHIVE_RECORD_CHANGE`, `WAREHOUSE_CHANGE`

## Examples

**Response**

```json
{
  "message": "message",
  "status": "NOT_STARTED",
  "result": {
    "schema": {
      "__typename": "__typename",
      "id": "id"
    },
    "warnings": [
      {}
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v3/tasks/dna-sequence-schema/apply-fieldset/task_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v3/tasks/dna-sequence-schema/apply-fieldset/task_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```